Bug 191344 - net-mgmt/arpwatch: Bug in rc script when vlan interfaces are specified
Summary: net-mgmt/arpwatch: Bug in rc script when vlan interfaces are specified
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2014-06-24 15:04 UTC by Daniel Duerr
Modified: 2016-01-23 15:17 UTC (History)
1 user (show)

See Also:


Attachments
Patch to /usr/local/etc/rc.d/arpwatch (510 bytes, patch)
2014-06-24 15:04 UTC, Daniel Duerr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Duerr 2014-06-24 15:04:48 UTC
Created attachment 144103 [details]
Patch to /usr/local/etc/rc.d/arpwatch

When configuring arpwatch_interfaces, the script breaks if you use VLAN interfaces, e.g.: arpwatch_interfaces="em0.1 em0.2 em0.3"

I've attached a patch that fixes it for me.  There might be a cleaner way to do this, but this definitely works.
Comment 1 Kurt Jaeger freebsd_committer 2014-07-20 19:38:43 UTC
Comitted, thanks!
Comment 2 commit-hook freebsd_committer 2014-07-20 19:38:55 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 20 19:38:27 UTC 2014
New revision: 362360
URL: http://svnweb.freebsd.org/changeset/ports/362360

Log:
  net-mgmt/arpwatch: handle some variant of vlan interfaces

  When configuring arpwatch_interfaces, /usr/local/etc/rc.d/arpwatch
  failed if you use VLAN interfaces, e.g.:

  arpwatch_interfaces="em0.1 em0.2 em0.3"

  PR:		191344
  Submitted by:	dd@gizmocreative.com

Changes:
  head/net-mgmt/arpwatch/files/arpwatch.in
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-23 15:10:14 UTC
Over to ports-secteam for MFH
Comment 4 Kurt Jaeger freebsd_committer 2016-01-23 15:11:17 UTC
It's already in the quarterly since a long time.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-23 15:17:17 UTC
My bad, just realised Kurt assigned himself an issue he committed in 2014 :)

Nothing to see here.